# -*- coding: utf-8 -*-
"""
Le deuxieme module contient les fonctions a completer :
    coup_gagnant_horizontal(matrice, joueur)
    coup_gagnant_vertical(matrice, joueur)
    coup_gagnant_horizontal_ou_vertical(matrice, joueur)

"""

#  Constantes utilisees dans ce module
#  NB_LIGNE est le nombre de lignes dans la matrice de jeu.
#  NB_COLONNE est le nombre de colonnes dans la matrice de jeu.
from constantes import NB_LIGNE, NB_COLONNE



def coup_gagnant_horizontal(matrice, joueur):
    """
    Parameters
    ----------
    matrice : TYPE liste de listes d'entiers.
        Elle memorise l'etat du jeu a chaque instant.
    joueur : TYPE entier.
        C'est le numero du joueur (1 ou 2).

    Returns
    -------
    resultat : TYPE booleen.
        Vaut True si la matrice contient un alignement horizontal de quatre
        elements identiques au numero du joueur passe en parametre. Par exemple
        quatre 1 ou quatre 2.


    """
    
    pass



def coup_gagnant_vertical(matrice, joueur):
    """
    Parameters
    ----------
    matrice : TYPE liste de listes d'entiers.
        Elle memorise l'etat du jeu a chaque instant.
    joueur : TYPE entier.
        C'est le numero du joueur (1 ou 2).

    Returns
    -------
    resultat : TYPE booleen.
        Vaut True si la matrice contient un alignement vertical de quatre
        elements identiques au numero du joueur passe en parametre. Par exemple
        quatre 1 ou quatre 2.


    """
    
    pass



def coup_gagnant_horizontal_ou_vertical(matrice, joueur):
    '''
    Cette fonction renvoie True si 4 pions de meme couleur sont alignes
    verticalement ou horizontalement. Elle renvoie False sinon.

    Parameters
    ----------
        matrice : TYPE liste de listes d'entiers.
                 Elle represente le plateau du jeu de 6 lignes et 7 colonnes.

        joueur : TYPE entier.
                 Vaut 1 pour verifier si le joueur 1 fait un coup gagnant.
                 Vaut 2 pour verifier si le joueur 2 fait un coup gagnant.


    Returns
    -------
        resultat : TYPE booleen.
                   resultat vaut True si 4 pions de meme couleur sont alignes
                   horizontalement ou verticalement.
                   resultat vaut False dans le cas contraire.

    '''
    
    pass

